<?PHP
class WPHubspotAdmin {
	
	function WPHubspotAdmin() {
		if(is_admin()){
			// Admin Hooks
			if (substr(get_bloginfo('version'), 0, 3) >= '3.0') {
				add_action('contextual_help', array(&$this, 'hs_add_help_text'), 10, 3);
			}
			add_action('admin_print_scripts', array(&$this, 'add_hs_admin_scripts'));
			add_action('admin_print_styles', array(&$this, 'add_hs_admin_styles'));
			add_action('admin_menu', array(&$this, 'add_hs_options_subpanel'));
		}
	}
	
	//=============================================
	// Add contextual help
	//=============================================
	function hs_add_help_text($contextual_help, $screen_id, $screen) { 
	  //$contextual_help .= var_dump($screen); // use this to help determine $screen->id
	 // if ('hs-action' == $screen->id ) {
	  if ($screen_id == 'hs-action') {
		$contextual_help =
		  '<p><h2>' . __('Things to remember when adding or editing an action:') . '</h2></p>' .
		  '<ul>' .
		  '<li>' . __('Create Urgency') . '</li>' .
		  '<li>' . __('Use Numbers') . '</li>' .
		  '<li>' . __('Indicate a Specific Action') . '</li>' .
		  '<li>' . __('Use Images ') . '</li>' .
		  '<li>' . __('Use Contrasting Colors') . '</li>' .
		  '</ul>';
	  } elseif ($screen_id == 'edit-hs-action'){
		  
		  $contextual_help =
		  '<p><h2>' . __('What are Actions?') . '</h2></p>' .
		  '<p>' . __('An action is a request for your reader to do something. You can use the Call to Action manager below to create calls to action. You can then use the <code>[hs-action]</code> shortcode or sidebar widget to randomly display your actions. The manager keeps track of clicks, impressions and CTR.') . '</p>' ;

	  } elseif ($screen_id == 'hubspot_page_hubspot_settings') {
		$contextual_help = 
		  '<p><h3>' . __('HubSpot Configuration.') . '</h3></p>' .
		  '<p>' . __('Enter your HubSpot Portal ID and Application Domain to set up HubSpot Analytics.') . '</p>'  .
		  '<p>' . __('Learn where to find your HubSpot Portal ID and Application Domain in the <a href="'.HUBSPOT_ADMIN.'/admin.php?page=hubspot_help#help-1">Help Section</a>.') . '</p>'  .
		  '<p>' . __('You can also enter your Feedburner URL to have al links to your RSS feed redirect to your Feedburner feed. You can learn how to find your Feedburner URL in the <a href="'.HUBSPOT_ADMIN.'/admin.php?page=hubspot_help#help-2">Help Section</a>.') . '</p>'  .
		  '<p><h3>' . __('Call To Action Settings') . '</h3></p>' .
		  '<p>' . __('These settings allow you to disable the \'Actions\' post type or to prevent the plugin from tracking clicks and impressions.') . '</p>' ;
	  } elseif ($screen_id == 'toplevel_page_hubspot_dashboard') {
			$contextual_help = 
		  '<p>' . __('If you have your App Domain and Portal ID filled in on the <a href="'.HUBSPOT_ADMIN.'/admin.php?page=hubspot_settings">HubSpot Settings Page</a> you should be able to access you HubSpot dashboard below. Your dashboard is loaded in an iFrame so this plugin does not save any username or password information.') . '</p>' ;
	   } elseif ($screen_id == 'dashboard_page_dashboard_hs-admin') {
			$contextual_help = 
		  '<p>' . __('If you have your App Domain and Portal ID filled in on the <a href="'.HUBSPOT_ADMIN.'/admin.php?page=hubspot_settings">HubSpot Settings Page</a> you should be able to access you HubSpot Analytics Sources below. Your stats are loaded in an iFrame so this plugin does not save any username or password information.') . '</p>' ;
	  } elseif ($screen_id == 'hubspot_page_hubspot_shortcodes') {
		  	$contextual_help = 
		  '<p><h2>What are Shortcodes?</h2></p>' .
		  '<p>Shortcodes are small bits of code that make the creation of advanced HTML elements easy. The HubSpot WordPress plugin uses shortcodes to display contact info, <code>[hs_contact]</code>, and team info, <code>[hs_team]</code>, to make inserting and managing the content associated with these pages effortless.</p>' . 
		  '<p><h3>' . __('Contact Shortcode Settings') . '</h3></p>' .
		  '<p>' . __('Fill in the Contact Shortcode Settings and use the <code>[hs_contact]</code> shortcode to display your company info with a map on any page.') . '</p>'  .
		  '<p><h3>' . __('Team Page Shortcode Settings') . '</h3></p>' .
		  '<p>' . __('Add Team Members as new users in the <a href="'.HUBSPOT_ADMIN.'/users.php">Users Section</a> and use the <code>[hs_team]</code> shortcode to display a list of your team members with an image, bio and links to their social media profiles. You can choose to hide user images and the site admin from the Team Page listing on this page.') . '</p>'  .
		  '<p><h3>' . __('Lead Form Shortcode Settings') . '</h3></p>' .
		  '<p>' . __('If you are a HubSpot customer and entered your Portal ID on the <a href="'.HUBSPOT_ADMIN.'/admin.php?page=hubspot_settings">HubSpot Settings Page</a> you can use the <code>[hs_form]</code> shortcode to display a contact form on any page that sends leads to your HubSpot account.') . '</p>' ;
	  }
	  return $contextual_help;
	}
	
	//=============================================
	// Add admin options panel link
	//=============================================
	function add_hs_options_subpanel() {
		if (function_exists('add_menu_page')) {
			global $submenu, $myhubspotwp;
			add_menu_page('HubSpot', 'HubSpot', 'manage_options', 'hubspot_dashboard', array($this, 'hs_dashboard'), HUBSPOT_URL.'images/hubspot-logo.png');
			add_submenu_page('hubspot_dashboard','Settings','Settings','manage_options', 'hubspot_settings', array($this, 'hs_settings_options'));
			add_submenu_page('hubspot_dashboard','Shortcodes','Shortcodes','manage_options', 'hubspot_shortcodes', array($this, 'hs_shortcodes_options'));
			add_submenu_page('hubspot_dashboard','Help','Help','manage_options', 'hubspot_help', array($this, 'hs_help'));
			$hs_settings = get_option('hs_settings');
			
			if($myhubspotwp->hs_is_customer()){
				add_submenu_page('index.php',__('Hubspot Stats'),__('Hubspot Stats'),'manage_options','dashboard_'.basename(__FILE__),array($this, 'hs_stats'));
			}
			
			$submenu['hubspot_dashboard'][0][0] = 'Dashboard';
		}
	}
	
	//=============================================
	// Display Hubspot stats in an iFrame
	//=============================================
	function hs_stats() {
		$hs_settings = get_option('hs_settings');	
		echo '	
			<div class="wrap hs_wrap" style="max-width: 1040px;">
				<h2>'.__('Hubspot Stats').'</h2>
				<iframe id="hs_dashboard" src="http://app.hubspot.com/analytics/sources?portalId='.$hs_settings["hs_portal"].'" scrolling="auto" style="width: 100%; height: 100%; border: 1px solid #bfbfbf;"></iframe>
			</div>
			';
	}
	
	//=============================================
	// Display the Hubspot Dashboard in an iFrame
	//=============================================
	function hs_dashboard() {
		global $myhubspotwp;
		if($myhubspotwp->hs_is_customer()){
			$hs_settings = get_option('hs_settings');	
			echo '	
				<div class="wrap hs_wrap" style="max-width: 1040px;">
					<h2>'.__('Hubspot Dashboard').'</h2>
					<iframe id="hs_dashboard" src="http://app.hubspot.com/hf/dash?portalId='.$hs_settings["hs_portal"].'" scrolling="auto" style="width: 100%; height: 100%; border: 1px solid #bfbfbf;"></iframe>
				</div>
				';
		} else {
			$content = "";	
			$content .= "<p>HubSpot Customers can insert their App Domain and Portal ID on the Settings page to display their HubSpot Dashboard here.</p>";
			$content .= "<p>HubSpot Customers also benefit from:
							<ul>
								<li>Automatic tracking code integration</li>
								<li>Contact form w/ HubSpot Lead API integration</li>
							</ul>
						</p>";
		
			$wrapped_content = $this->hs_postbox('hubspot-dashboard', 'Dashboard', $content);
			
			$this->hs_admin_wrap('HubSpot WordPress Plugin Help', $wrapped_content);
		}
	}
	
	//=============================================
	// Help page content
	//=============================================
	function hs_help(){
		$content = "";	
		$content = "<ol>
					  <li><a href='#help-1'>Where do I find my HubSpot Application Domain and HubSpot Portal ID number?</a></li>
					  <li><a href='#help-2'>Where do I find my feedburner feed?</a></li>
					  <li><a href='#help-3'>What are shortcodes?</a></li>
					  <li><a href='#help-4'>How do I insert the 'HubSpot Follow Me' buttons into my sidebar?</a></li>
					  <li><a href='#help-5'>How does the HubSpot WordPress plugin forward to my feedburner?</a></li>
					  <li><a href='#help-6'>How do I change the names displayed on my Team Page?</a></li>
					  <li><a href='#help-7'>What are Actions?</a></li>
					</ol>
					<p><a name='help-1'></a><h2>1) Where do I find my HubSpot Application Domain and HubSpot Portal ID number?</h2></p>
					<p> Find your HubSpot Portal Number and Application domain, a number with between 2 and 6 digits, and a string of text that ends in hubspot.com, as shown below:<br />
					  <br />
					  <img src='".HUBSPOT_URL."/images/ExternalSiteTrafficLogging.png' alt='portal ID' /><br />
					  <br />
					Once you have entered your portal number and application domain in the box above your pages will be trackable by HubSpot Analytics.</p>
					<p><a name='help-2'></a><h2>2) Where do I find my feedburner feed?</h2></p>
					<p>Your feedburner feed will look something like <code>http://feeds.feedburner.com/myfeedid</code>. Go to   <a href='http://feedburner.google.com/'>http://feedburner.google.com</a> and right-click on the RSS icon next to the Feed Title and click 'Copy Link Address'. You can also just left-click on the RSS icon next to the Feed Title and copy the URL in the addressbar on the next page.</p>
					<p><a name='help-3'></a><h2>3) What are shortcodes?</h2></p>
					<p>Shortcodes are small bits of code that   make the creation of advanced HTML elements easy. The HubSpot WordPress plugin uses shortcodes to display contact info, <code>[hs_contact]</code>, and team info, <code>[hs_team]</code>, to make inserting and managing the content associated with these pages effortless.</p>
					<p><a name='help-4'></a><h2>4) How do I insert the 'HubSpot Follow Me' buttons into my sidebar?</h2></p>
					<p>Make sure you have input the proper   HubSpot Portal ID on the HubSpot WordPress plugin configuration page. You can then use the widget under Appearance-&gt;Widgets titled &quot;HubSpot: Follow Widget&quot;.</p>
					<p><a name='help-5'></a><h2>5) How does the HubSpot WordPress plugin forward to my feedburner?</h2></p>
					<p>The plugin forwards all requests to <code>http://www.yoursite.com/feed</code> with a 302 redirect. The plugin also replaces all links with your Feedburner address.</p>
					<p><a name='help-6'></a><h2>6) How do I change the names displayed on my Team Page?</h2></p>
					<p>Go to the <a href='".HUBSPOT_ADMIN."/users.php'>profile page</a> of the name you want to change. Make sure you filled out your first and last name, then select the full name you would like to display for 'Display name publicly as'.</p>
					<p><a name='help-7'></a><h2>7) What are Actions?</h2></p>
					<p>An action is a request for your reader to do something. The HubSpot plugin comes with a <a href='".HUBSPOT_ADMIN."/edit.php?post_type=hs-action'>Call to Action manager</a> that allows you to create calls to action. You can then use the <code>[hs_action]</code> shortcode or sidebar widget to randomly display your actions. The manager keeps track of clicks, impressions and CTR.</p>";

					
	
		$wrapped_content = $this->hs_postbox('hubspot-help', 'FAQ', $content);
		
		$this->hs_admin_wrap('HubSpot WordPress Plugin Help', $wrapped_content);
	}
	
	//=============================================
	// Process contact page form data
	//=============================================
	function hs_process_shortcodes_options() {
		if ( !empty($_POST['hs_option_submitted']) ){
			//$hs_settings=get_option('hs_settings');
			$hs_settings=get_option('hs_settings');
			if($_GET['page'] == 'hubspot_shortcodes' && check_admin_referer('hubspot-shortcode-update-options')){
				if(isset($_POST['hs_company_name'])){ $hs_settings['hs_company_name']=$_POST['hs_company_name']; }
				if(isset($_POST['hs_company_address'])){ $hs_settings['hs_company_address']=$_POST['hs_company_address']; }
				if(isset($_POST['hs_company_citystate'])){ $hs_settings['hs_company_citystate']=$_POST['hs_company_citystate']; }
				if(isset($_POST['hs_company_phone'])){ $hs_settings['hs_company_phone']=$_POST['hs_company_phone']; }
				if(isset($_POST['hs_team_avatars'])){ $hs_settings['hs_team_avatars']=$_POST['hs_team_avatars']; } else { $hs_settings['hs_team_avatars']=''; }
				if(isset($_POST['hs_team_admin'])){ $hs_settings['hs_team_admin']=$_POST['hs_team_admin']; } else { $hs_settings['hs_team_admin']=''; }
				if(isset($_POST['hs_leads_enabled'])){ $hs_settings['hs_leads_enabled']=$_POST['hs_leads_enabled']; } else { $hs_settings['hs_leads_enabled']=''; }
				if(isset($_POST['hs_leads_url'])){ $hs_settings['hs_leads_url']=$_POST['hs_leads_url']; }

				echo "<div id=\"updatemessage\" class=\"updated fade\"><p>HubSpot contact settings updated.</p></div>\n";
				echo "<script type=\"text/javascript\">setTimeout(function(){jQuery('#updatemessage').hide('slow');}, 3000);</script>";	
				update_option("hs_settings", $hs_settings);
			}
		}//updated
	
		$hs_settings=get_option('hs_settings');
		return $hs_settings;
	}
	
	//=============================================
	// Contact page options
	//=============================================
	function hs_shortcodes_options(){
		global $myhubspotwp;
		$hs_settings = $this->hs_process_shortcodes_options();
		$contact_content = "";	
		$team_content = "";	
		$contact_content = '<table class="form-table">';
		if ( function_exists('wp_nonce_field') ){ $contact_content .= wp_nonce_field('hubspot-shortcode-update-options','_wpnonce',true,false); }
		$contact_content .= '<tr><th scope="row"><label for="hs_company_name">' . __("Company Name") . '</label></th><td><input type="text" class="regular-text" name="hs_company_name" value="' . $hs_settings['hs_company_name'] . '" /></td></tr>';
		$contact_content .= '<tr><th scope="row"><label for="hs_company_address">' . __("Company Address") . '</label></th><td><input type="text" class="regular-text" name="hs_company_address" value="' . $hs_settings['hs_company_address'] . '" /></td></tr>';
		$contact_content .= '<tr><th scope="row"><label for="hs_company_citystate">' . __("Company City/State/Zip") . '</label></th><td><input type="text" class="regular-text" name="hs_company_citystate" value="' . $hs_settings['hs_company_citystate'] . '" /></td></tr>';
		$contact_content .= '<tr><th scope="row"><label for="hs_company_phone">' . __("Company Phone") . '</label></th><td><input type="text" class="regular-text" name="hs_company_phone" value="' . $hs_settings['hs_company_phone'] . '" /></td></tr>';
		$contact_content .= '<tr><td scope="row" colspan="2">Insert <code>[hs_contact]</code> into any page or post to display your contact information with a Google Map.</td></tr>';	
		$contact_content .= '</table>';
	
		$team_content = '<table class="form-table">';
		$team_content .= '<tr><th scope="row"><label for="hs_team_avatars">' . __("Display Avatars") . '</label></th><td><input type="checkbox" name="hs_team_avatars" ' .checked($hs_settings['hs_team_avatars'], 'on', false) . ' /></td></tr>';
		$team_content .= '<tr><th scope="row"><label for="hs_team_admin">' . __("Hide Admin") . '</label></th><td><input type="checkbox" name="hs_team_admin" ' .checked($hs_settings['hs_team_admin'], 'on', false) . ' /></td></tr>';	
		$team_content .= '<tr><td scope="row" colspan="2">Insert <code>[hs_team]</code> into any page or post to display a list of your team members with an image, bio and links to their social media profiles. Too add team members just add new WordPress users and configure their profiles.</td></tr>';	
		$team_content .= '</table>';
		
		if($myhubspotwp->hs_is_customer($hs_settings['hs_portal'], $hs_settings['hs_appdomain']) ){
			$form_content = '<table class="form-table">';
			$form_content .= '<tr><th scope="row"><label for="hs_leads_enabled">' . __("Enable Form Shortcode") . '</label></th><td><input type="checkbox" name="hs_leads_enabled" ' .checked($hs_settings['hs_leads_enabled'], 'on', false) . ' /></td></tr>';
			$form_content .= '<tr><th scope="row"><label for="hs_leads_url">' . __("API Post URL") . '</label></th><td><input type="text" class="regular-text code" name="hs_leads_url" value="' . $hs_settings['hs_leads_url'] . '" /> <small><a href="http://'.$hs_settings['hs_appdomain'].'/?app=LeadDirectorSetup" target="_blank">Get URL Here</small></td></tr>';	
			$form_content .= '<tr><td scope="row" colspan="2">Insert <code>[hs_form]</code> into any page or post to display a a contact form that sends leads to your HubSpot Account.</td></tr>';	
			$form_content .= '</table>';
		}
		
		$wrapped_content = $this->hs_postbox('hubspot-company-settings', 'Contact Shortcode Settings', $contact_content);
		$wrapped_content .= $this->hs_postbox('hubspot-team-settings', 'Team Page Shortcode Settings', $team_content);
		if($myhubspotwp->hs_is_customer($hs_settings['hs_portal'], $hs_settings['hs_appdomain']) ){
			$wrapped_content .= $this->hs_postbox('hubspot-team-settings', 'Lead Form Shortcode Settings', $form_content);
		}
		
		$this->hs_admin_wrap('HubSpot Shortcode Settings', $wrapped_content);
	}
	
	//=============================================
	// Process settings page form data
	//=============================================
	function hs_process_settings_options() {
		if ( !empty($_POST['hs_option_submitted']) ){
			$hs_settings=get_option('hs_settings');
			if($_GET['page'] == 'hubspot_settings' && check_admin_referer('hubspot-dashboard-update-options')){
				if(isset($_POST['hs_portal'])){ $hs_settings['hs_portal']=$_POST['hs_portal']; }
				if(isset($_POST['hs_appdomain'])){ $hs_settings['hs_appdomain']=$_POST['hs_appdomain']; }
				if(isset($_POST['hs_feedburner_url'])){ $hs_settings['hs_feedburner_url']=$_POST['hs_feedburner_url']; }
				if(isset($_POST['hs_actions_disabled'])){ $hs_settings['hs_actions_disabled']=$_POST['hs_actions_disabled']; } else { $hs_settings['hs_actions_disabled']=''; }
				if(isset($_POST['hs_actions_stats_disabled'])){ $hs_settings['hs_actions_stats_disabled']=$_POST['hs_actions_stats_disabled']; } else { $hs_settings['hs_actions_stats_disabled']=''; }
				
				echo "<div id=\"updatemessage\" class=\"updated fade\"><p>HubSpot settings updated.</p></div>\n";
				echo "<script type=\"text/javascript\">setTimeout(function(){jQuery('#updatemessage').hide('slow');}, 3000);</script>";	
				update_option("hs_settings", $hs_settings);
			}
		}//updated
		$hs_settings=get_option('hs_settings');
		return $hs_settings;
	}
	
	//=============================================
	// Settings page options
	//=============================================
	function hs_settings_options(){
		$hs_settings = $this->hs_process_settings_options();
		$content = "";
		$action_content = "";
		$content = '<p>'.__('HubSpot customers can input their Portal ID and App Domain to enable analytics and other cool features').'.</p>';
		$content .= '<table class="form-table">';
		if ( function_exists('wp_nonce_field') ){ $content .= wp_nonce_field('hubspot-dashboard-update-options','_wpnonce',true,false); }
		$content .= '<tr><th scope="row"><label for="hs_portal">' . __("HubSpot Portal ID #") . '</label></th><td><input type="text" class="regular-text" name="hs_portal" value="' . $hs_settings['hs_portal'] . '" /></td></tr>';
		$content .= '<tr><th scope="row"><label for="hs_appdomain">' . __("HubSpot Application Domain") . '</label></th><td><input type="text" class="regular-text" name="hs_appdomain" value="' . $hs_settings['hs_appdomain'] . '" /></td></tr>';
		$content .= '<tr><th scope="row"><label for="hs_feedburner_url">' . __("FeedBurner Feed") . '</label></th><td><input type="text" class="regular-text code" name="hs_feedburner_url" value="' . $hs_settings['hs_feedburner_url'] . '" /></td></tr>';	
		$content .= '</table>';

		$action_content = '<table class="form-table">';
		$action_content .= '<tr><th scope="row"><label for="hs_actions_disabled">' . __("Disable Actions") . '</label></th><td><input type="checkbox" name="hs_actions_disabled" ' .checked($hs_settings['hs_actions_disabled'], 'on', false) . ' /></td></tr>';
		$action_content .= '<tr><th scope="row"><label for="hs_actions_stats_disabled">' . __("Disable Impressions/Clicks Stats") . '</label></th><td><input type="checkbox" name="hs_actions_stats_disabled" ' .checked($hs_settings['hs_actions_stats_disabled'], 'on', false) . ' /></td></tr>';	
		$action_content .= '</table>';

		$wrapped_content = $this->hs_postbox('hubspot-settings', 'HubSpot Configuration', $content);
		if (substr(get_bloginfo('version'), 0, 3) >= '3.0') {
			$wrapped_content .= $this->hs_postbox('hubspot-action-settings', 'Call To Action Settings', $action_content);
		}
		
		$this->hs_admin_wrap('General HubSpot Settings', $wrapped_content);
	}
	
	//=============================================
	// Load admin styles
	//=============================================
	function add_hs_admin_styles() {
		global $pagenow;
		if ( $pagenow == 'admin.php' && isset($_GET['page']) && strstr($_GET['page'],"hubspot_")) {
			wp_enqueue_style('dashboard');
			wp_enqueue_style('global');
			wp_enqueue_style('wp-admin');
		}
	}
	
	//=============================================
	// Load admin scripts
	//=============================================
	function add_hs_admin_scripts() {
		global $pagenow;
		if ( $pagenow == 'admin.php' && isset($_GET['page']) && strstr($_GET['page'],"hubspot_")) {
			wp_enqueue_script('postbox');
			wp_enqueue_script('dashboard');
		}
	}
	
	//=============================================
	// Display support info
	//=============================================
	function hs_show_plugin_support() {
		$content = '<p>'.__('Please check the <a href="'.HUBSPOT_ADMIN.'/admin.php?page=hubspot_help">Help Section</a> first. If you have any problems with this plugin or good ideas for improvements or new features, please talk about them in the').' <a href="http://wordpress.org/tags/hubspot">Support Forums</a>.</p>';
		return $this->hs_postbox('hubspot-support', 'Need support?', $content);
	}
	
	//=============================================
	// Display HubSpot feed
	//=============================================
	function hs_show_blogfeed() {
		include_once(ABSPATH . WPINC . '/feed.php');
		$content = "";
		$rss = fetch_feed("http://feeds.feedburner.com/HubSpot");
		if (!is_wp_error( $rss ) ) {
		  $maxitems = $rss->get_item_quantity(3); 
		  $rss_items = $rss->get_items(0, $maxitems); 
		}
		
		if ($maxitems == 0) {
			$content .= "<p>No Posts</p>";
		} else {
			foreach ( $rss_items as $item ) { 
				$content .= "<a href='" . $item->get_permalink(). "' title='Posted ".$item->get_date('j F Y | g:i a') ."'>" . $item->get_title() . "</a><br />- " . $item->get_date('n/j/Y') . "</p>";
			}
			$content .= "<p><a href='" . $rss->get_permalink() . "'>Go To HubSpot Blog &raquo;</a></p>";
		}
		return $this->hs_postbox('hubspot-blog-rss', 'HubSpot Blog', $content);
	}
	
	//=============================================
	// Create postbox for admin
	//=============================================	
	function hs_postbox($id, $title, $content) {
		$postbox_wrap = "";
		$postbox_wrap .= '<div id="' . $id . '" class="postbox">';
		$postbox_wrap .= '<div class="handlediv" title="Click to toggle"><br /></div>';
		$postbox_wrap .= '<h3 class="hndle"><span>' . $title . '</span></h3>';
		$postbox_wrap .= '<div class="inside">' . $content . '</div>';
		$postbox_wrap .= '</div>';
		return $postbox_wrap;
	}	
	
	//=============================================
	// Admin page wrap
	//=============================================	
	function hs_admin_wrap($title, $content) {
	?>
		<div class="wrap">
			<h2><?php echo $title; ?></h2>
			<form method="post" action="">
				<div class="postbox-container" style="width:60%;">
					<div class="metabox-holder">	
						<div class="meta-box-sortables">
						<?php
							echo $content;
						?>
						<?php if($_GET['page'] != 'hubspot_help'){ ?>
						<p class="submit"> 
							<input type="submit" name="hs_option_submitted" class="button-primary" value="Save Changes" /> 
						</p> 
						<?php } ?>
						</div>
				  </div>
			  </div>
					<div class="postbox-container" style="width:30%;">
					  <div class="metabox-holder">	
						<div class="meta-box-sortables">
						<?php
							echo $this->hs_show_plugin_support();
							echo $this->hs_show_blogfeed();
						?>
						</div>
					</div>
				</div>
			</form>
		</div>
	<?php
	}
}
?>