<?php
class WPHubspotContact {
	
	function WPHubspotContact() {
		if(is_admin()){
			//
		} else {
			// Contact Page Hooks
			add_action('wp_footer', array(&$this, 'hs_contact_scripts' ));
			add_action('wp_print_scripts', array(&$this, 'hs_contact_scripts' ));
			add_action('wp_print_styles', array(&$this, 'hs_contact_style' ));
			add_shortcode('hs_contact',  array(&$this, 'hs_create_contact_shortcode'));
		}
	}
	//=============================================
	// Add stylesheet to header
	//=============================================
	function hs_contact_style() {
		wp_enqueue_style('hubspot', HUBSPOT_URL . 'hubspot.css');	
	}
	
	//=============================================
	//Add javascript to header
	//=============================================
	function hs_contact_scripts() {
		wp_enqueue_script('google-maps', 'http://maps.google.com/maps/api/js?sensor=false');
	}
	
	//=============================================
	// Add shortcode
	//=============================================
	function hs_create_contact_shortcode($atts, $content) {
		global $add_hs_contact_script, $myhubspotwp;
		extract(shortcode_atts(array(
			'map' => 'true',
		), $atts));
		$hs_content = $myhubspotwp->hs_format_text($this->hs_get_contact_info($map));
		return $hs_content;
	}
	
	
	//=============================================
	// Display contact info
	//=============================================
	function hs_get_contact_info($map){
		$hs_settings = array();
		$content = "";
		$hs_settings = get_option('hs_settings');
		$content = "<p>" . $hs_settings['hs_company_name'] . "<br />";
		$content .= $hs_settings['hs_company_address'] . "<br />";
		$content .= $hs_settings['hs_company_citystate'] . "<br />";
		$content .= $hs_settings['hs_company_phone'] . "</p>";
		// Call maps function
		if($map){
			$content .= $this->hs_get_map($hs_settings['hs_company_name'], $hs_settings['hs_company_address'], $hs_settings['hs_company_citystate']);
		}
		return $content;
	}
	
	//=============================================
	// Turn address into Google Maps
	// Reference: http://code.google.com/apis/maps/documentation/javascript/tutorial.html#LoadingMap
	//=============================================
	function hs_get_map($hs_company_name, $hs_company_address, $hs_company_citystate){
		if($hs_company_name != "" && $hs_company_address != "" &&  $hs_company_citystate != ""){
			$mapscript = '<div id="hs_map" style="width:400px;height:300px;"></div><br>';
			$mapscript .= '<script type="text/javascript">';
			$mapscript .= "
				var latlng = new google.maps.LatLng(0, 0);
				var myOptions = {
					zoom: 15,
					center: latlng,
					mapTypeId: google.maps.MapTypeId.ROADMAP
				};";
			$mapscript .= 'var hs_map = new google.maps.Map(document.getElementById("hs_map"),myOptions);';
			$mapscript .= "	
					var geocoder_hs_map = new google.maps.Geocoder();
					var address = '". $hs_company_address ." " . $hs_company_citystate ."';
					geocoder_hs_map.geocode( { 'address': address}, function(results, status) {
						if (status == google.maps.GeocoderStatus.OK) {
							hs_map.setCenter(results[0].geometry.location);
							
								var marker = new google.maps.Marker({
									map: hs_map, 
									
									position: hs_map.getCenter()
								});
								
									var contentString = '<strong>" . $hs_company_name . "</strong><br />" . $hs_company_address . "<br />" . $hs_company_citystate . "<br />';
									var infowindow = new google.maps.InfoWindow({
										content: contentString
									});
												
									google.maps.event.addListener(marker, 'click', function() {
									  infowindow.open(hs_map,marker);
									});
						
									
						} else {
						alert('Geocode was not successful for the following reason: ' + status);
					}
					});";
			$mapscript .= '</script>';
			
			return $mapscript;
		}
	}
}
?>