<?php
class WPHubspotTeam {
	
	function WPHubspotTeam() {
		// Team page
		if(is_admin()){
			add_filter('user_contactmethods', array(&$this, 'hs_filter_contact'));
		} else {
			add_shortcode('hs_team',  array(&$this, 'hs_create_team_shortcode'));
		}
	}
	//=============================================
	// Add shortcode
	//=============================================
	function hs_create_team_shortcode($atts) {
		global $myhubspotwp;
		$hs_content = $myhubspotwp->hs_format_text($this->hs_get_team_info());
		return $hs_content;
	}

	//=============================================
	// Change profile page contact options
	//=============================================
	function hs_filter_contact($contactmethods) {
		unset($contactmethods['aim']);
		unset($contactmethods['jabber']);
		unset($contactmethods['yim']);
		$contactmethods['user_title'] = 'Title';
		$contactmethods['twitter'] = 'Twitter';
		$contactmethods['facebook'] = 'Facebook';
		$contactmethods['linkedin'] = 'LinkedIn';
		$contactmethods['digg'] = 'Digg';
		$contactmethods['flickr'] = 'Flickr';
		$contactmethods['stumbleupon'] = 'StumbleUpon';
		$contactmethods['youtube'] = 'YouTube';
		$contactmethods['yelp'] = 'Yelp';
		$contactmethods['reddit'] = 'Reddit';
		$contactmethods['delicious'] = 'Delicious';
		$contactmethods['aim'] = 'AIM';
		$contactmethods['jabber'] = 'Jabber / Google Talk';
		$contactmethods['yim'] = 'Yahoo IM';
		return $contactmethods;
	}
	//=============================================
	// Change profile page contact options
	//=============================================
	function hs_team_get_social($author_ID, $social){
		$content="";
		if($author_social = get_the_author_meta($social,$author_ID)){
			switch ($social){
				case 'twitter':
					$content = "<a href='http://www.twitter.com/" . $author_social . "'><img src='" . HUBSPOT_URL ."/images/twitter.png' alt='Twitter'/></a>";
					break;
				case 'facebook':
					$content = "<a href='http://www.facebook.com/" . $author_social . "'><img src='" . HUBSPOT_URL ."/images/facebook.png' alt='Facebook'/></a>";
					break;
				case 'linkedin':
					$content = "<a href='http://www.linkedin.com/in/" . $author_social . "'><img src='" . HUBSPOT_URL ."/images/linkedin.png' alt='LinkedIn'/></a>";
					break;
				case 'digg':
					$content = "<a href='http://digg.com/" . $author_social . "'><img src='" . HUBSPOT_URL ."/images/digg.png' alt='Digg'/></a>";
					break;
				case 'flickr':
					$content = "<a href='" . $author_social . "'><img src='" . HUBSPOT_URL ."/images/flickr.png' alt='Flickr'/></a>";
					break;
				case 'stumbleupon':
					$content = "<a href='" . $author_social . "'><img src='" . HUBSPOT_URL ."/images/stumbleupon.png' alt='Stumbleupon'/></a>";
					break;
				case 'youtube':
					$content = "<a href='http://www.youtube.com/user/" . $author_social . "'><img src='" . HUBSPOT_URL ."/images/youtube.png' alt='YouTube'/></a>";
					break;
				case 'yelp':
					$content = "<a href='" . $author_social . "'><img src='" . HUBSPOT_URL ."/images/yelp.png' alt='Yelp'/></a>";
					break;
				case 'reddit':
					$content = "<a href='http://www.reddit.com/user/" . $author_social . "'><img src='" . HUBSPOT_URL ."/images/reddit.png' alt='Reddit'/></a>";
					break;
				case 'delicious':
					$content = "<a href='http://www.delicious.com/" . $author_social . "'><img src='" . HUBSPOT_URL ."/images/delicious.png' alt='Delicious'/></a>";
					break;
			}
		}
		return $content;
	}
	//=============================================
	// Display team members
	//=============================================
	function hs_get_team_info(){
		global $wpdb;
		$hs_settings = array();
		$hs_settings = get_option('hs_settings');
		$content = "";
		$the_author_title = "";
		
		if(isset($hs_settings['hs_team_admin']) && $hs_settings['hs_team_admin']){
		  $authors = $wpdb->get_results('SELECT DISTINCT ID FROM '.$wpdb->users.' WHERE ID != 1');
		} else {
		  $authors = $wpdb->get_results('SELECT DISTINCT ID FROM '.$wpdb->users);
		}
		
		if($authors){
			foreach($authors as $author){
				$author_ID = $author->ID;
				$userdata = get_userdata($author_ID);
				$the_author_description = apply_filters('the_content',$userdata->description);
				
				$content .= "<div class='hs-team' id='hs-team-" . get_the_author_meta('user_login', $author_ID) . "'>";
				if(get_the_author_meta('user_title', $author_ID)){
					$the_author_title = " " . get_the_author_meta('user_title', $author_ID);
				}
				$content .= "<h3>" . get_the_author_meta('display_name', $author_ID) . $the_author_title . "</h3>";
				$content .= "<div class='hs-description'>";
				if(isset($hs_settings['hs_team_avatars']) && $hs_settings['hs_team_avatars']){
				  $content .= "<div class='hs-team-avatar'>" .  get_avatar(get_the_author_meta('user_email', $author_ID), 80) ."</div>";
				}
				$content .= "<p>". $the_author_description ."</p>";
				if(get_the_author_meta('twitter', $author->ID) || get_the_author_meta('facebook', $author->ID) || get_the_author_meta('linkedin', $author->ID) || get_the_author_meta('digg', $author->ID) || get_the_author_meta('flickr', $author->ID) || get_the_author_meta('stumbleupon', $author->ID) || get_the_author_meta('youtube', $author->ID) || get_the_author_meta('yelp', $author->ID)|| get_the_author_meta('reddit', $author->ID) || get_the_author_meta('delicious', $author->ID)){
					$content .= "<p>";
					$content .= $this->hs_team_get_social($author_ID, 'twitter');
					$content .= $this->hs_team_get_social($author_ID, 'facebook');
					$content .= $this->hs_team_get_social($author_ID, 'linkedin');
					$content .= $this->hs_team_get_social($author_ID, 'digg');
					$content .= $this->hs_team_get_social($author_ID, 'flickr');
					$content .= $this->hs_team_get_social($author_ID, 'stumbleupon');
					$content .= $this->hs_team_get_social($author_ID, 'youtube');
					$content .= $this->hs_team_get_social($author_ID, 'yelp');
					$content .= $this->hs_team_get_social($author_ID, 'reddit');
					$content .= $this->hs_team_get_social($author_ID, 'delicious');
					$content .= "</p>";
				} 
				$content .= "</div></div>";
			}
		}
		return $content;
	}	
}
?>