<?php
//=============================================
// Create 'Follow Me' Widget
//=============================================
class HubSpot_Social_Widget extends WP_Widget {
	
	/** constructor */
	function HubSpot_Social_Widget() {
		$this->WP_Widget(false, $name = 'HubSpot: Follow Widget');	
	}

	/** @see WP_Widget::widget */
	function widget($args, $instance) {	
		extract( $args );
		$hs_settings = array();
		$hs_settings = get_option('hs_settings');
		//$hs_settings["hs_appdomain"];
		//$hs_settings["hs_portal"];
		$title = __('Follow Me');
		?>
			  <?php echo $before_widget; ?>
				  <?php if ($title){
						echo $before_title . $title . $after_title; 
				  } ?>
					  <!-- hubspot.com follow code -->
					  <div class="hs_followme" style="height:52px"></div>
					  <script type="text/javascript">
					  var __hs_fm = {portal: <?php echo $hs_settings["hs_portal"]; ?>, host: 'hubapi.com', blog: false};
					  (function(){
						  var fm = document.createElement('script');
						  fm.type = 'text/javascript'; fm.async = true;
						  fm.src = '//static.hubspot.com/js/fm.js';
						  var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(fm, s);
					  })();
					  </script>
					  <!-- end hubspot.com follow code -->
			  <?php echo $after_widget; ?>
		<?php
	}

	/** @see WP_Widget::update */
	function update($new_instance, $old_instance) {				
		$instance = $old_instance;
		return $instance;
	}

	/** @see WP_Widget::form */
	function form($instance) {
		$hs_settings = array();
		$hs_settings = get_option('hs_settings');
		?>
			<p>Edit widget settings <a href="https://app.hubspot.com/sm/accounts?portalId=<?php echo $hs_settings["hs_portal"]; ?>">here</a></p>
		<?php 
	}

} // class HubSpot_Social_Widget 

//=============================================
// Create 'Call to Action' Widget
//=============================================
class HubSpot_Action_Widget extends WP_Widget {
	
	/** constructor */
	function HubSpot_Action_Widget() {
		$this->WP_Widget(false, $name = 'HubSpot: Action Widget');	
	}

	/** @see WP_Widget::widget */
	function widget($args, $instance) {	
		global $myhubspotwp_action;
		extract( $args );
		
		$hide_title = $instance['hide_title'] ? '1' : '0';
		
		if($hide_title){
			echo $myhubspotwp_action->hs_display_action($before_widget, $after_widget, $before_title, $after_title, true);
		} else {
			echo $myhubspotwp_action->hs_display_action($before_widget, $after_widget, $before_title, $after_title);			
		}
		
	}

	/** @see WP_Widget::update */
	function update($new_instance, $old_instance) {				
		$instance = $old_instance;
		$instance['hide_title'] = $new_instance['hide_title'] ? 1 : 0;
		return $instance;
	}

	/** @see WP_Widget::form */
	function form($instance) {
		$instance = wp_parse_args($instance, array('hide_title' => ''));

		?>	
        <p><input class="checkbox" type="checkbox" <?php checked($instance['hide_title'], '1'); ?> id="<?php echo $this->get_field_id('hide_title'); ?>" name="<?php echo $this->get_field_name('hide_title'); ?>" /> <label for="<?php echo $this->get_field_id('hide_title'); ?>"><?php _e('Hide Title'); ?></label></p>
		<?php 
	}

} // class hs_Widget 
?>